processing.core

## Class PStyle

- Object
- - PStyle

- All Implemented Interfaces:
    PConstants

      public class PStyle
      extends Object
      implements PConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `ambientB`
    `float` | `ambientG`
    `float` | `ambientR`
    `int` | `blendMode`
    `int` | `colorMode`
    `float` | `colorModeA`
    `float` | `colorModeX`
    `float` | `colorModeY`
    `float` | `colorModeZ`
    `int` | `ellipseMode`
    `float` | `emissiveB`
    `float` | `emissiveG`
    `float` | `emissiveR`
    `boolean` | `fill`
    `int` | `fillColor`
    `int` | `imageMode`
    `int` | `rectMode`
    `int` | `shapeMode`
    `float` | `shininess`
    `float` | `specularB`
    `float` | `specularG`
    `float` | `specularR`
    `boolean` | `stroke`
    `int` | `strokeCap`
    `int` | `strokeColor`
    `int` | `strokeJoin`
    `float` | `strokeWeight`
    `int` | `textAlign`
    `int` | `textAlignY`
    `PFont` | `textFont`
    `float` | `textLeading`
    `int` | `textMode`
    `float` | `textSize`
    `boolean` | `tint`
    `int` | `tintColor`

    - ### Fields inherited from interface PConstants

      `ADD, ALPHA, ALT, AMBIENT, ARC, ARGB, ARROW, BACKSPACE, BASELINE, BEVEL, BEZIER_VERTEX, BLEND, BLUR, BOTTOM, BOX, BREAK, BURN, CENTER, CHATTER, CHORD, CLAMP, CLOSE, CODED, COMPLAINT, CONTROL, CORNER, CORNERS, CROSS, CURVE_VERTEX, CUSTOM, DARKEST, DEG_TO_RAD, DELETE, DIAMETER, DIFFERENCE, DILATE, DIRECTIONAL, DISABLE_DEPTH_MASK, DISABLE_DEPTH_SORT, DISABLE_DEPTH_TEST, DISABLE_NATIVE_FONTS, DISABLE_OPENGL_ERRORS, DISABLE_OPTIMIZED_STROKE, DISABLE_STROKE_PERSPECTIVE, DISABLE_STROKE_PURE, DISABLE_TEXTURE_MIPMAPS, DODGE, DOWN, DXF, E2D, ELLIPSE, ENABLE_DEPTH_MASK, ENABLE_DEPTH_SORT, ENABLE_DEPTH_TEST, ENABLE_NATIVE_FONTS, ENABLE_OPENGL_ERRORS, ENABLE_OPTIMIZED_STROKE, ENABLE_STROKE_PERSPECTIVE, ENABLE_STROKE_PURE, ENABLE_TEXTURE_MIPMAPS, ENTER, EPSILON, ERODE, ERROR_BACKGROUND_IMAGE_FORMAT, ERROR_BACKGROUND_IMAGE_SIZE, ERROR_PUSHMATRIX_OVERFLOW, ERROR_PUSHMATRIX_UNDERFLOW, ERROR_TEXTFONT_NULL_PFONT, ESC, EXCLUSION, FX2D, GIF, GRAY, GROUP, HALF_PI, HAND, HARD_LIGHT, HINT_COUNT, HSB, IMAGE, INVERT, JAVA2D, JPEG, LANDSCAPE, LEFT, LIGHTEST, LINE, LINE_LOOP, LINE_STRIP, LINES, LINUX, MACOSX, MAX_FLOAT, MAX_INT, MIN_FLOAT, MIN_INT, MITER, MODEL, MODELVIEW, MOVE, MULTIPLY, NORMAL, OPAQUE, OPEN, OPENGL, ORTHOGRAPHIC, OTHER, OVERLAY, P2D, P3D, PATH, PDF, PERSPECTIVE, PI, PIE, platformNames, POINT, POINTS, POLYGON, PORTRAIT, POSTERIZE, PROBLEM, PROJECT, PROJECTION, QUAD, QUAD_BEZIER_VERTEX, QUAD_STRIP, QUADRATIC_VERTEX, QUADS, QUARTER_PI, RAD_TO_DEG, RADIUS, RECT, REPEAT, REPLACE, RETURN, RGB, RIGHT, ROUND, SCREEN, SHAPE, SHIFT, SOFT_LIGHT, SPAN, SPHERE, SPOT, SQUARE, SUBTRACT, SVG, TAB, TARGA, TAU, TEXT, THIRD_PI, THRESHOLD, TIFF, TOP, TRIANGLE, TRIANGLE_FAN, TRIANGLE_STRIP, TRIANGLES, TWO_PI, UP, VERTEX, WAIT, WHITESPACE, WINDOWS, X, Y, Z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PStyle()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### imageMode

          public int imageMode

    - #### rectMode

          public int rectMode

    - #### ellipseMode

          public int ellipseMode

    - #### shapeMode

          public int shapeMode

    - #### blendMode

          public int blendMode

    - #### colorMode

          public int colorMode

    - #### colorModeX

          public float colorModeX

    - #### colorModeY

          public float colorModeY

    - #### colorModeZ

          public float colorModeZ

    - #### colorModeA

          public float colorModeA

    - #### tint

          public boolean tint

    - #### tintColor

          public int tintColor

    - #### fill

          public boolean fill

    - #### fillColor

          public int fillColor

    - #### stroke

          public boolean stroke

    - #### strokeColor

          public int strokeColor

    - #### strokeWeight

          public float strokeWeight

    - #### strokeCap

          public int strokeCap

    - #### strokeJoin

          public int strokeJoin

    - #### ambientR

          public float ambientR

    - #### ambientG

          public float ambientG

    - #### ambientB

          public float ambientB

    - #### specularR

          public float specularR

    - #### specularG

          public float specularG

    - #### specularB

          public float specularB

    - #### emissiveR

          public float emissiveR

    - #### emissiveG

          public float emissiveG

    - #### emissiveB

          public float emissiveB

    - #### shininess

          public float shininess

    - #### textFont

          public PFont textFont

    - #### textAlign

          public int textAlign

    - #### textAlignY

          public int textAlignY

    - #### textMode

          public int textMode

    - #### textSize

          public float textSize

    - #### textLeading

          public float textLeading

  - ### Constructor Detail

    - #### PStyle

          public PStyle()